Package org.drinkless.tdlib

# Class TdApi.PrepaidGiveaway

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PrepaidGiveaway

Enclosing class:
  `TdApi`

public static class TdApi.PrepaidGiveaway extends TdApi.Object
Describes a prepaid giveaway.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `boostCount`
  The number of boosts received by the chat from the giveaway; for Telegram Star giveaways only.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `id`
  Unique identifier of the prepaid giveaway.
  `int`
  `paymentDate`
  Point in time (Unix timestamp) when the giveaway was paid.
  `TdApi.GiveawayPrize`
  `prize`
  Prize of the giveaway.
  `int`
  `winnerCount`
  Number of users which will receive giveaway prize.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrepaidGiveaway()`
  Describes a prepaid giveaway.
  `PrepaidGiveaway(long id, int winnerCount, TdApi.GiveawayPrize prize, int boostCount, int paymentDate)`
  Describes a prepaid giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique identifier of the prepaid giveaway.

  - ### winnerCount

    public int winnerCount
    Number of users which will receive giveaway prize.

  - ### prize

    public TdApi.GiveawayPrize prize
    Prize of the giveaway.

  - ### boostCount

    public int boostCount
    The number of boosts received by the chat from the giveaway; for Telegram Star giveaways only.

  - ### paymentDate

    public int paymentDate
    Point in time (Unix timestamp) when the giveaway was paid.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PrepaidGiveaway

    public PrepaidGiveaway()
    Describes a prepaid giveaway.

  - ### PrepaidGiveaway

    public PrepaidGiveaway(long id, int winnerCount, TdApi.GiveawayPrize prize, int boostCount, int paymentDate)
    Describes a prepaid giveaway.
    Parameters:
      `id` - Unique identifier of the prepaid giveaway.
      `winnerCount` - Number of users which will receive giveaway prize.
      `prize` - Prize of the giveaway.
      `boostCount` - The number of boosts received by the chat from the giveaway; for Telegram Star giveaways only.
      `paymentDate` - Point in time (Unix timestamp) when the giveaway was paid.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR